*{
    box-sizing: border-box;
}
body,html{
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    font-family: verdana;
}
body{
    background-image: url("https://w0.peakpx.com/wallpaper/906/848/HD-wallpaper-hearts-linked-shapes-3d-love-colors-hearts.jpg");
}
img{
    border-radius: inherit;
}
#header{
    background-image: url("https://w0.peakpx.com/wallpaper/906/848/HD-wallpaper-hearts-linked-shapes-3d-love-colors-hearts.jpg");
    height: 200px;
    width: 100%;
    
    text-align: center;
    box-shadow: #555 1px 1px 10px 1px;
    z-index: 100;
}
#header h1 , #header h3{
   
    font-family: verdana;
    color: white;
    margin: 0 ;
    margin-bottom: 5px;
}
#start{
    background-color: rgb(25, 201, 52);
    color: black;
    padding: 10px;
    border-radius: 8px;
}
.game--restart{
    background-color: rgb(246, 217, 30);
    color: black;
    padding: 10px;
    border-radius: 8px;
}
#inpfile{
    
    color: black;
    padding: 1px;
    border-radius: 2px;
    margin: auto;
    width: 135px;
    height: 25px;
    margin-top: 80px;
}
#main{
    width: 100%;
    height: 300px;
    position: relative;
    z-index: 0;
    transition: all 2s;
    text-align: center;
}
#puzzle-cont , #puzzle-pre {
    height: 310px;
    width: 600px;
   position: absolute;
    margin:  10px 30%;
    box-shadow:#333 1px 1px 5px 1px;
    transition: all 2s;
    border-radius: 5px;
    background: #ddd;
}
#puzzle-cont{
    transform: rotateY(180deg);
    display: flex ;
    flex-flow: wrap;
    z-index: 1;
}
#puzzle-pre{
    z-index: 2;
}
.puzzle-piece{
    border: 1px black solid;
    border-radius: 5px;
    cursor: move;
}
.footer,h4{
    color: white;
}